Summary:	Linux MultiMedia Studio
Name:		lmms
Version:	0.4.2
Release:	%mkrel 2
Group:		Sound
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	x-lmms-project.desktop
Patch0:		%{name}-0.4.2-fix-desktop.patch
Patch1:		lmms-0.4.2-literal.patch
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
BuildRequires:	libSDL-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libfftw-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libfluidsynth-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LMMS aims to be a free alternative to popular (but commercial and closed- source) 
programs like FruityLoops/FL Studio, Cubase and Logic allowing you to produce music 
with your computer.This includes creation of loops, synthesizing and mixing sounds,
arranging samples, having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those of powerful
synthesizers, samplers, effects etc. in a modern, user-friendly and easy to use
graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:	Development package for %{name}
Group:		Development/C

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .literal

%build
%define _disable_ld_no_undefined	1
# (tpg) fix ladspa plugins path
sed -i -e 's#/usr/lib#%{_libdir}#g' src/core/ladspa_manager.cpp

%cmake
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/mimelnk/application/x-lmms-project.desktop

install -m644 %{SOURCE10} -D %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

%if %mdkversion < 200900
%post
%{update_menus}
%{update_mime_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_mime_database}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/lmms


%changelog
* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.com> 0.4.2-2mdv2009.1
+ Revision: 316852
- oops, typo
- ok, ok, so it doesn't build with underlinking protection
- add literal.patch: fix string literal problems
- it builds fine with underlinking and Werror

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 316808
- update to new version 0.4.2
- LMMS uses now cmake to build
 add buildrequiresd on libsndfile-devel, libfftw-devel, pulseaudio-devel, libfluidsynth-devel
- Patch0: rediff
- drop patch1, use sed to correct path for LADSPA plugins
- use _disable_ld_no_undefined and Werror_cflags (too much effort to fix this)
- add devel subpackage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 187506
- new version
- better summary and description
- enable high quality sinc-resampling

* Thu Feb 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-5mdv2008.1
+ Revision: 175973
- Fix icon macros

* Thu Feb 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-4mdv2008.1
+ Revision: 175955
- Try to fix plugin loading (Bug #38210)

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-3mdv2008.1
+ Revision: 175125
- fix bug #37629

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix spacing at top of description

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 137843
- drop redundant buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- fix wrong plugin path on x86_64 arch (bug #31038)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 111080
- new version
- new license policy
- do not package COPYING file, add AUTHORS instead

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 79715
- Reuse qtmagic for configure :(
- add mime type for KDE
- add missing files
- build without vts
- New version 0.3.0
- fix desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - replace %%_datadir/man by %%_mandir!


* Sat Aug 26 2006 Couriousous <couriousous@mandriva.org> 0.2.1-2mdv2007.0
- Fix menu

* Fri Aug 25 2006 Couriousous <couriousous@mandriva.org> 0.2.1-1mdv2007.0
- 0.2.1
- XDG

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.1.1-1mdk
- 0.1.1
- fix x86_64 build

* Thu Jul 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc2mdk
-Fix BuildRequires

* Sun Jul 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc1mdk
- First Mandriva Linux release

